Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 805520 - [abrt] shotwell-0.10.1-3.fc16: _M_begin: Process /usr/bin/shotwell was killed by signal 11 (SIGSEGV)
[abrt] shotwell-0.10.1-3.fc16: _M_begin: Process /usr/bin/shotwell was killed...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: exiv2 (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
abrt_hash:bcd712ec800388b08090ffda292...
:
: 767045 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-21 10:02 EDT by Dan Ratje
Modified: 2018-04-11 12:31 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 16:31:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: dso_list (10.11 KB, text/plain)
2012-03-21 10:03 EDT, Dan Ratje
no flags Details
File: build_ids (4.24 KB, text/plain)
2012-03-21 10:03 EDT, Dan Ratje
no flags Details
File: xsession_errors (4.09 KB, text/plain)
2012-03-21 10:03 EDT, Dan Ratje
no flags Details
File: maps (50.38 KB, text/plain)
2012-03-21 10:03 EDT, Dan Ratje
no flags Details
File: backtrace (143.33 KB, text/plain)
2012-03-21 10:03 EDT, Dan Ratje
no flags Details

  None (edit)
Description Dan Ratje 2012-03-21 10:02:58 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
backtrace_rating: 4
cmdline:        shotwell
comment:        Tried to export a group of pictures to a cifs network drive, after creating a folder in the tool.
crash_function: _M_begin
executable:     /usr/bin/shotwell
kernel:         3.2.10-3.fc16.x86_64
pid:            24364
pwd:            /home/qzzx1k
reason:         Process /usr/bin/shotwell was killed by signal 11 (SIGSEGV)
time:           Wed 21 Mar 2012 08:33:49 AM CDT
uid:            1000
username:       qzzx1k

backtrace:      Text file, 146769 bytes
build_ids:      Text file, 4346 bytes
dso_list:       Text file, 10350 bytes
maps:           Text file, 51594 bytes
xsession_errors: Text file, 4186 bytes

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:HOSTNAME=localhost.localdomain
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:XDG_SESSION_COOKIE=6c449950ebab95da643875f80000000c-1332175002.204454-1968422926
:GNOME_KEYRING_CONTROL=/tmp/keyring-fbYVwd
:IMSETTINGS_MODULE=none
:USER=qzzx1k
:USERNAME=qzzx1k
:MAIL=/var/spool/mail/qzzx1k
:PATH=/usr/lib64/ccache:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/qzzx1k/.local/bin:/home/qzzx1k/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/qzzx1k
:XMODIFIERS=@im=none
:KDE_IS_PRELINKED=1
:GNOME_KEYRING_PID=1803
:LANG=en_US.utf8
:GDM_LANG=en_US.utf8
:KDEDIRS=/usr
:GDMSESSION=gnome
:SSH_ASKPASS=/usr/libexec/openssh/gnome-ssh-askpass
:HISTCONTROL=ignoredups
:HOME=/home/qzzx1k
:XDG_SEAT=seat0
:SHLVL=1
:LOGNAME=qzzx1k
:CVS_RSH=ssh
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-PgebOlOHzd,guid=f0182ca1ed3a1958ec16f9bc00000023
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/qzzx1k
:DISPLAY=:0
:CCACHE_HASHDIR=
:XAUTHORITY=/var/run/gdm/auth-for-qzzx1k-EkS2XY/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1808,unix/unix:/tmp/.ICE-unix/1808
:SSH_AUTH_SOCK=/tmp/keyring-fbYVwd/ssh
:GPG_AGENT_INFO=/tmp/keyring-fbYVwd/gpg:0:1
:GJS_DEBUG_OUTPUT=stderr
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/shotwell.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=24364

gconf_subtree:
: /apps/shotwell/video:
:  interpreter_state_cookie = (no value set)
: /apps/shotwell/preferences:
:  /apps/shotwell/preferences/slideshow:
:   delay = (no value set)
:  /apps/shotwell/preferences/window:
:   library_maximize = false
:   direct_maximize = false
:   library_height = 804
:   sidebar_position = (no value set)
:   direct_width = 1024
:   direct_height = 765
:   library_width = 1204
:   pane_position = 229
:  /apps/shotwell/preferences/editing:
:   external_photo_editor = gimp-2.6 %U
:   external_raw_editor = dngconverter %i -caption "%c" %U
:  /apps/shotwell/preferences/ui:
:   display_photo_tags = (no value set)
:   display_photo_titles = (no value set)
:   modify_originals = (no value set)
:   event_photos_sort_by = (no value set)
:   display_extended_properties = (no value set)
:   events_sort_ascending = false
:   background_color = #482c482c482c
:   event_photos_sort_ascending = (no value set)
:   photo_thumbnail_scale = 108
:   library_photos_sort_by = (no value set)
:   twentyfour_hr_time = (no value set)
:   display_photo_ratings = (no value set)
:   keep_relativity = (no value set)
:   photo_rating_filter = (no value set)
:   show_welcome_dialog = false
:   display_basic_properties = true
:   library_photos_sort_ascending = (no value set)
:  /apps/shotwell/preferences/files:
:   commit_metadata = true
:   auto_import = false
:   directory_pattern = %Y/%m-%d
:   import_dir = /home/qzzx1k/Pictures
: /apps/shotwell/plugins:
:  /apps/shotwell/plugins/org.yorba.shotwell.publishing.flickr:
:   enabled = false
:  /apps/shotwell/plugins/org.yorba.shotwell.publishing.picasa:
:   enabled = false
:  /apps/shotwell/plugins/org.yorba.shotwell.publishing.facebook:
:   enabled = false
: /apps/shotwell/printing:
:  print_titles = true
:  content_height = 2
:  content_layout = 1
:  image_per_page_selection = 1
:  content_ppi = 600
:  match_aspect_ratio = true
:  content_width = 2.9957400000000001
:  print_titles_font = Sans Bold 12
:  content_units = 1
:  size_selection = 3
: /apps/shotwell/sharing:
:  default_service = (no value set)
:  /apps/shotwell/sharing/flickr:
:   default_size = (no value set)
:   auth_token = (no value set)
:   username = (no value set)
:   visibility = (no value set)
:  /apps/shotwell/sharing/facebook:
:   session_key = (no value set)
:   uid = (no value set)
:   user_name = (no value set)
:   session_secret = (no value set)
:  /apps/shotwell/sharing/picasa:
:   default_size = (no value set)
:   auth_token = (no value set)
:   user_name = (no value set)

smolt_data:
:
:
:General
:=================================
:UUID: 13b34a94-49c5-4f2c-84c2-aad04cdcb584
:OS: Fedora release 16 (Verne)
:Default run level: Unknown
:Language: en_US.utf8
:Platform: x86_64
:BogoMIPS: 5222.66
:CPU Vendor: AuthenticAMD
:CPU Model: AMD Phenom(tm) II X6 1035T Processor
:CPU Stepping: 0
:CPU Family: 16
:CPU Model Num: 10
:Number of CPUs: 6
:CPU Speed: 2600
:System Memory: 7481
:System Swap: 9535
:Vendor: Gigabyte Technology Co., Ltd.
:System: GA-880GM-USB3 
:Form factor: Desktop
:Kernel: 3.2.10-3.fc16.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(4098:17297:5208:45058) pci, ahci, STORAGE, SB7x0/SB8x0/SB9x0 SATA Controller [AHCI mode]
:(4130:38409:4130:38401) pci, pcieport, PCI/PCI, RS780/RS880 PCI to PCI bridge (PCIE port 5)
:(4098:17302:5208:20484) pci, ehci_hcd, USB, SB7x0/SB8x0/SB9x0 USB EHCI Controller
:(4130:38401:4130:38401) pci, None, HOST/PCI, RS880 Host Bridge
:(4130:38402:4130:38402) pci, None, PCI/PCI, RS780/RS880 PCI to PCI bridge (int gfx)
:(4130:4612:0:0) pci, None, HOST/PCI, Family 10h Processor Link Control
:(4172:32804:5208:4096) pci, firewire_ohci, FIREWIRE, GA-EP45-DS5 Motherboard
:(4130:4609:0:0) pci, None, HOST/PCI, Family 10h Processor Address Map
:(4130:4608:0:0) pci, None, HOST/PCI, Family 10h Processor HyperTransport Configuration
:(4130:4611:0:0) pci, k10temp, HOST/PCI, Family 10h Processor Miscellaneous Control
:(4130:4610:0:0) pci, None, HOST/PCI, Family 10h Processor DRAM Controller
:(4332:33128:5208:57344) pci, r8169, ETHERNET, GA-EP45-DS5 Motherboard
:(4098:17308:5208:20482) pci, pata_atiixp, STORAGE, SB7x0/SB8x0/SB9x0 IDE Controller
:(4098:17285:5208:17285) pci, None, SERIAL, GA-MA770-DS3rev2.0 Motherboard
:(4098:17309:4098:17309) pci, None, PCI/ISA, SB7x0/SB8x0/SB9x0 LPC host controller
:(4098:17283:5208:41218) pci, snd_hda_intel, MULTIMEDIA, SBx00 Azalia (Intel HDA)
:(4098:17305:5208:20484) pci, ohci_hcd, USB, SB7x0/SB8x0/SB9x0 USB OHCI2 Controller
:(4098:17284:0:0) pci, None, PCI/PCI, SBx00 PCI to PCI Bridge
:(4098:38677:5208:53248) pci, radeon, VIDEO, RS880 [Radeon HD 4250]
:(4098:38671:5208:38415) pci, snd_hda_intel, MULTIMEDIA, RS880 Audio Device [Radeon HD 4200]
:(4098:17303:5208:20484) pci, ohci_hcd, USB, SB7x0/SB8x0/SB9x0 USB OHCI0 Controller
:(4098:17304:5208:20484) pci, ohci_hcd, USB, SB7x0 USB OHCI1 Controller
:(4098:17302:5208:20484) pci, ehci_hcd, USB, SB7x0/SB8x0/SB9x0 USB EHCI Controller
:(4098:17304:5208:20484) pci, ohci_hcd, USB, SB7x0 USB OHCI1 Controller
:(4098:17303:5208:20484) pci, ohci_hcd, USB, SB7x0/SB8x0/SB9x0 USB OHCI0 Controller
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/VolGroup-lv_root / ext4 4096 4096 13081819 9127190 8471830 3276800 2819431 2819431
:/dev/sda2 /boot ext4 1024 1024 508745 410745 385145 128016 127786 127786
:/dev/mapper/VolGroup-lv_home /home ext4 4096 4096 228278426 160455207 149029825 57131008 56993637 56993637
:/dev/sdb1 WITHHELD fuseblk 4096 4096 244190000 69884839 69884839 279965340 279639419 279639419
:

var_log_messages:
:Mar 21 08:33:49 localhost kernel: [161862.722969] shotwell[24412]: segfault at 10 ip 000000354b33ec92 sp 00007f447f7fca90 error 4 in libexiv2.so.10.0.1[354b200000+1e4000]
:Mar 21 08:33:52 localhost abrt[24413]: Saved core dump of pid 24364 (/usr/bin/shotwell) to /var/spool/abrt/ccpp-2012-03-21-08:33:49-24364 (196079616 bytes)
Comment 1 Dan Ratje 2012-03-21 10:03:04 EDT
Created attachment 571716 [details]
File: dso_list
Comment 2 Dan Ratje 2012-03-21 10:03:05 EDT
Created attachment 571717 [details]
File: build_ids
Comment 3 Dan Ratje 2012-03-21 10:03:07 EDT
Created attachment 571718 [details]
File: xsession_errors
Comment 4 Dan Ratje 2012-03-21 10:03:09 EDT
Created attachment 571719 [details]
File: maps
Comment 5 Dan Ratje 2012-03-21 10:03:12 EDT
Created attachment 571720 [details]
File: backtrace
Comment 6 abrt-bot 2012-03-30 11:02:32 EDT
Backtrace analysis of bugs across components suggests the actual bug is in component exiv2 instead of component shotwell, reassigning to exiv2.

Bug #767045 from component rawstudio was found to be similar to this bug.

This comment is automatically generated.
Comment 7 abrt-bot 2012-03-30 11:02:45 EDT
*** Bug 767045 has been marked as a duplicate of this bug. ***
Comment 8 Fedora End Of Life 2013-01-16 12:08:57 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Fedora End Of Life 2013-02-13 16:31:31 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.